summarylogtreecommitdiffstats
path: root/lvce.sh
diff options
context:
space:
mode:
authorzxp198210052024-03-18 12:05:09 +0800
committerzxp198210052024-03-18 12:05:09 +0800
commit7542b4074309dc8851745cfd2b11099a14fff249 (patch)
treea4ef8fdeda1e702b9c1c769f262fb430aa084038 /lvce.sh
parent6b0183388d6b9e7922bc33d3e65d6370be790b4d (diff)
downloadaur-7542b4074309dc8851745cfd2b11099a14fff249.tar.gz
update to 0.24.3
Diffstat (limited to 'lvce.sh')
-rw-r--r--lvce.sh8
1 files changed, 5 insertions, 3 deletions
diff --git a/lvce.sh b/lvce.sh
index f9ced1432cfc..7ddcaab8d734 100644
--- a/lvce.sh
+++ b/lvce.sh
@@ -1,14 +1,16 @@
-#!/bin/sh
+#!/bin/bash
set -e
_APPDIR="/usr/lib/@appname@"
_RUNNAME="${_APPDIR}/@runname@"
+_OPTIONS="@options@"
export PATH="${_APPDIR}:${PATH}"
export LD_LIBRARY_PATH="${_APPDIR}/swiftshader:${_APPDIR}/lib:${LD_LIBRARY_PATH}"
export ELECTRON_IS_DEV=0
+export ELECTRON_FORCE_IS_PACKAGED=true
export NODE_ENV=production
cd "${_APPDIR}"
if [[ $EUID -ne 0 ]] || [[ $ELECTRON_RUN_AS_NODE ]]; then
- exec electron@electronversion@ "${_RUNNAME}" "$@" || exit $?
+ exec electron@electronversion@ "${_RUNNAME}" "${_OPTIONS}" "$@" || exit $?
else
- exec electron@electronversion@ "${_RUNNAME}" --no-sandbox "$@" || exit $?
+ exec electron@electronversion@ "${_RUNNAME}" "${_OPTIONS}" --no-sandbox "$@" || exit $?
fi \ No newline at end of file